﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DTO;

namespace Data_Layer
{
    public class CustomerDL
    {
        ///<summary>
        /// Delete Customer data.
        ///</summary>
        ///<paramname="Customer">Customer object.</param>
        ///<returns>RowsAffected</returns>
        public static int DeleteCustomer(Customer customer)
        {
            string sql = "DELETE FROM Customers WHERE CustomerId=@CustomerId";

            Dictionary<string, object> parameters = new Dictionary<string, object>();
            parameters.Add("@CustomerId", customer.CustomerId);
            return Convert.ToInt32(sql.Execute(parameters));
        }
    }
}
