﻿using Business_Layer;
using DTO;
using System;
using System.Collections.Generic;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void OnSubmit(object sender, EventArgs e)
    {
        Customer customer = new Customer
        {
            CustomerId = Convert.ToInt32(txtId.Text),
        };
        ICustomerBL customerBL = new CustomerBL();

        //Delete Customer data
        int rowsAffected = customerBL.DeleteCustomer(customer);

        if (rowsAffected > 0)
        {
            ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Customer record deleted.');", true);
        }
        else
        {
            ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Customer not found.');", true);
        }
    }
}